{ config, pkgs, lib, ... }: {

  environment.systemPackages = with pkgs;
    [ # Utilities
      freetype
      light
      xorg.xbacklight
      feh
      redshift
      numlockx # TODO: Does this work?
      lxappearance
    ] ++ [ # Networking
      gnome3.networkmanager-openconnect
    ] ++ [ # Various
      xfce.thunar
      xfce.thunar-archive-plugin
      xfce.xfce4-appfinder # xfce.thunar-volman # needed?
      xfce.terminal
      gnome3.gnome-screenshot
      pinentry-gtk2 # Required by gnupg
    ];

  programs = {
    gnome-terminal.enable = false;
    geary.enable = false;
    light.enable = true;

    dconf.enable = true;
  };

  services.gnome3 = {
    # TODO: Do this manually and not all at once.
    core-utilities.enable = true;
    core-os-services.enable = true;

    gnome-keyring.enable = true;
    evolution-data-server.enable = true;
    gnome-online-accounts.enable = true;

    sushi.enable = false;
  };

  services.gvfs.enable = true;

  services.flatpak.enable = true;
  xdg.portal = {
    enable = true;
    gtkUsePortal = false;
    #extraPortals = [ pkgs.xdg-desktop-portal-gtk pkgs.xdg-desktop-portal-wlr ];
    extraPortals = [ pkgs.xdg-desktop-portal-wlr ];
  };

}
